<div class="wrap-allContent">
    <div class="allContent">
    <div class="bt-signin-sigup">
        <!-- <div class="bt-signin"><a href="#"><span>Sign in</span></a></div>
        <div class="bt-signup active"><a href="signup.php"><span>Sign up</span></a></div> -->
        <div class="bt-signin">{{ link_to('signin', '<span>Sign in</span>') }}</div>
        <div class="bt-signup active">{{ link_to('signup', '<span>Sign up</span>') }}</div>
    </div>
    
    <div class="wrap-box">
      <div class="wrap-box-content">
        <!-- Token ID หมดอายุ -->
        <div class="dialog" id="Status_Setting_Password_Yes" style="display: none;">
            <div class="token-expire">
            <h4 class="title-dialog">{{ lang['lb_title_message'] }}</h4>
            <div class="detail-dialog message-show"></div>
            <div class="button-dialog">
                <ul class="buttonLists-dialog">
                <li>{{ link_to('members/setting/step1', lang['btn_ok']) }}</li>
              </ul>
            </div>
          </div>
        </div>

        <div class="dialog" id="Status_Setting_Password_No" style="display: none;">
            <div class="token-expire">
            <h4 class="title-dialog">{{ lang['lb_title_message'] }}</h4>
            <div class="detail-dialog message-show"></div>
            <div class="button-dialog">
                <ul class="buttonLists-dialog">
                <li><a href="javascript:;" onclick="$('#Status_Setting_Password_No').hide();">{{ lang['btn_ok'] }}</a></li>
              </ul>
            </div>
          </div>
        </div>

        <div class="dialog" id="Status_Setting_Password_No_To_Signup" style="display: none;">
            <div class="token-expire">
            <h4 class="title-dialog">{{ lang['lb_title_message'] }}</h4>
            <div class="detail-dialog message-show"></div>
            <div class="button-dialog">
                <ul class="buttonLists-dialog">
                <li><a href="{{ url.get() }}signup">{{ lang['btn_ok'] }}</a></li>
              </ul>
            </div>
          </div>
        </div>


        <div class="brand-logo">{{ image('themes/frontend/images/logo-notegang2.png', 'alt': '', 'width': 136, 'height': 42) }}</div>
        <div class="introduction">{{ lang['txt_set_password_description'] }}</div>

        {{ form('signup/savepassword', 'method': 'post', 'name': 'frmSave', 'id': 'frmSave') }} 
          <div class="formSignup">
            <div class="wrap-textField"> 
                {% if hasEmail %}

                <label for="txt_email" class="label">{{ lang['lb_email'] }} </label>
                <div class="wrap-textField form-group">
                {{ hasEmailShow }}
                </div>

                {% else %}

                <label for="txt_email" class="label">{{ lang['lb_email'] }} </label>
                <div class="wrap-textField form-group">
                {{  text_field('txt_email', 'class': 'text-field', 'id': 'txt_email') }}
                </div>

                {% endif %}

                <label for="txt_password" class="label">{{ lang['lb_password'] }}</label>

                <div class="rules-pass" style="display:none;">
                    <i class="fa fa-caret-left rule-arrow"></i>
                    {{ lang['txt_set_password_condition'] }}
                </div>

                <div class="wrap-textField form-group">
                	{{ password_field('txt_password', 'class': 'text-field', 'id': 'txt_password', 'maxlength': 64, 'onpaste': 'return false;', 'autocomplete': 'off') }}
						<input id="text-unmark" class="check-showpass" type="checkbox">
						<label for="text-unmark" class="label-checkbox-showpass">แสดงรหัสผ่าน</label>
                </div>

                <div class="text-error div-format-pass-invalid" style="display:none;"><div class="text-error">{{ lang['msg_password_format_invalid'] }}</div>
            </div>
               
              <div class="password-strength" style="display:none;">
                {{ lang['lb_password_strength'] }}: 
                <span class="weak" style="display:none;">{{ lang['lb_weak'] }}</span> 
                <span class="moderate" style="display:none;">{{ lang['lb_moderate'] }}</span>
                <span class="strong" style="display:none;">{{ lang['lb_strong'] }}</span>
              </div>

            </div>
            <div class="wrap-buttonSubmit">
                {{ submit_button('class': 'submit-bt', 'id': 'btn_next', 'value': lang['btn_next']) }}
            </div>
          </div>
        {{ end_form() }}



        </div>
      <!-- End wrap-box-content -->  
      </div>
    <!-- End wrap-box -->  
    </div>
    </div>
</div>
{{ javascript_include('assets/js/jquery.validate.js') }}

<script type="text/javascript">
    
    // check password
    $("#txt_password").keyup(function(){
        var strPass = $("#txt_password").val();
        var checkResult =  /^[a-z0-9A-Z\-!#@$%\^&*+=\[\]\\\';.,\/_(){}|\":\<\>\?]+$/i.test(strPass);

        if (!checkResult) { 
            var str = $("#txt_password").val(); 
            var newStr = str.slice(0,-1); 
            $("#txt_password").val(newStr); 
        }

        checkFormatPass(strPass, checkResult);
    }); 

    $('#txt_password').focusin(function(){ 
        $(".rules-pass").show();
    });

    $('#txt_password').focusout(function(){
        $(".rules-pass").hide();
    }); 

    function checkFormatPass(strPass, checkResult) {
        $.post("{{ url.get() }}signup/checkformatpass/boolean", {strPass: strPass}, function(data){
            if (checkResult && strPass.length >= 8 && strPass.length <= 64) {
                if (data) {
                    $(".div-format-pass-invalid").hide();
                    passwordStrength($('#txt_password').val(), true); 
                } else {
                    $(".div-format-pass-invalid").show();
                }
            } else {
               $(".div-format-pass-invalid").hide(); 
               $(".password-strength").hide();
            }
        }, "json");
    }

    // show condition password 
    $("#txt_password").keyup(function(event) {
        /* Act on the event */
        var strPassVal = $("#txt_password").val();
        var urlPath = "{{ url.get() }}signup/checkformatpass";

        if (parseInt(strPassVal.length) == parseInt(0)) {
            $(".true_all").removeClass("pass").addClass("fail");
        } else {
            $.post(urlPath, {strPass:strPassVal}, function(data) {
                if (data.r0) {
                    $("#rule_1").removeClass("fail").addClass("pass");
                } else {
                    $("#rule_1").removeClass("pass").addClass("fail");
                }

                if (data.r1) {
                    $("#rule_2").removeClass("fail").addClass("pass");
                } else {
                    $("#rule_2").removeClass("pass").addClass("fail");
                }

                if (data.r2) {
                    $("#rule_3").removeClass("fail").addClass("pass");
                } else {
                    $("#rule_3").removeClass("pass").addClass("fail");
                }

                if (data.r3) {
                    $("#rule_4").removeClass("fail").addClass("pass");
                } else {
                    $("#rule_4").removeClass("pass").addClass("fail");
                }

                if (data.r4) {
                    $("#rule_5").removeClass("fail").addClass("pass");
                } else {
                    $("#rule_5").removeClass("pass").addClass("fail");
                }

                if (data.r4) {
                    $("#rule_6").removeClass("fail").addClass("pass");
                } else {
                    $("#rule_6").removeClass("pass").addClass("fail");
                }

            }, "json");
        }
    });


    // show password 
    $("#text-unmark").click(function(){
        if($("#text-unmark").is(':checked')) {
            $("#txt_password").prop("type", "text");
        } else {
            $("#txt_password").prop("type", "password");
        }
    });


    $(function(){

        $('#frmSave').validate({
            errorElement: 'div',
            errorClass: 'help-block text-error',
            focusInvalid: false,
            ignore: "",
            rules: { 
                "txt_password": {
                    required: true,
                    minlength: 8,
                    maxlength: 64,
                    remote: {
                        type: "POST",
                        url: "{{ url.get() }}signup/checkformatpass/boolean",
                        data: {
                            'strPass': function () { return $('#txt_password').val(); }
                        },
                        dataType: "json"
                    }
                },
                "txt_email": {
                    required: {% if !hasEmail %} true {% else %} false {% endif %},
                    email: {% if !hasEmail %} true {% else %} false {% endif %},
                }
            },
            messages: {
                "txt_password": {
                    required: "{{ lang['msg_required_txt_password'] }}",
                    minlength: "{{ lang['msg_min_txt_password'] }}",
                    maxlength: "{{ lang['msg_max_txt_password'] }}",
                    remote: "{{ lang['msg_password_format_invalid'] }}"
                },
                "txt_email": {
                    required: "{{ lang['msg_required_email'] }}",
                    email: "{{ lang['msg_format_email'] }}"
                }
            },
            highlight: function (e) {
                $(e).closest('.form-group').removeClass('has-info').addClass('has-error');
                $(".div-format-pass-invalid").hide();
            },
            success: function (e) {
                $(e).closest('.form-group').removeClass('has-error');//.addClass('has-info');
                $(e).remove();
            },
            errorPlacement: function (error, element) {
                error.insertAfter(element.parent());
            },
            submitHandler: function (form) {
                jQueryAjaxDataSubmit("frmSave", "json", callBackFunction);
            },
            invalidHandler: function (form) {
            }
        });

        function callBackFunction(data) 
        {
            if (data.success) { 
                jQueryRedirectUrl("{{ url.get() }}dashboard", 500);
            } else if (data.token_status == "no") {
                $("#lb-show-msg-token-code").text(data.msg);
                $(".div-for-retoken").show();
            } else {
                jQueryRedirectUrl("{{ url.get() }}signup", 500);
            }
            return false;
        } 
    });



    /*,
        loginRegex: true,
        remote: {
            type: "POST",
            url: "{{ url.get() }}signup/checkformatpass/boolean",
            data: {
                'strPass': function () { return $('#txt_password').val(); }
            },
            dataType: "json"
        }
        //remote: "{{ lang['msg_password_format_invalid'] }}"
        loginRegex: "{{ lang['msg_password_format_charecter_invalid'] }}",


        $.validator.addMethod("loginRegex", function(value, element) {
            var checkResult =  this.optional(element) || /^[a-z0-9A-Z\-!#@$%\^&*+=\[\]\\\';.,\/_(){}|\":\<\>\?]+$/i.test(value);
            return checkResult;
        }, "Username must contain only letters, numbers, or dashes.");
        */
       
    /*$("#txt_repassword").keyup(function(){
        var strPass = $("#txt_repassword").val();
        var checkResult =  /^[a-z0-9A-Z\-!#@$%\^&*+=\[\]\\\';.,\/_(){}|\":\<\>\?]+$/i.test(strPass);


        if (!checkResult) { 
            var str = $("#txt_repassword").val(); 
            var newStr = str.slice(0,-1); 
            $("#txt_repassword").val(newStr); 
        }
    }); 

    function clickRetoken() 
    { 
        $.post("{{ url.get() }}service/retoken", {reStatus: "y"}, function(data){
            if (data.success) {
                $("#txt_token_code").val("");
                $(".div-for-retoken").hide();
                
                $("#Status_Setting_Password_No .message-show").text(data.msg);
                $("#Status_Setting_Password_No").show();
            } else {
                $("#Status_Setting_Password_No_To_Signup .message-show").text(data.msg);
                $("#Status_Setting_Password_No_To_Signup").show();
            }
        }, "json");
        return false;
    }
    */
</script>